package com.jiuqi.util.inifile;

import com.jiuqi.util.MemStream;
import com.jiuqi.util.Stream;

public class StreamIni extends BufferIni
{
    public StreamIni(final Stream aStream) {
        super(new StreamIniBuffer(aStream));
        this.readInfo();
    }
    
    @Deprecated
    public static void printIni(final BufferIni ini, final String ident) {
        System.out.println();
        for (int i = 0; i < ini.count(); ++i) {
            final Section sec = ini.get(i);
            System.out.println(String.valueOf(ident) + "[" + sec.name() + "]");
            for (int k = 0; k < sec.count(); ++k) {
                final Ident idt = sec.get(k);
                System.out.print(String.valueOf(ident) + idt.name);
                System.out.print("=");
                switch (idt.type) {
                    case 1: {
                        System.out.print(sec.readBoolean(idt.name, false));
                        break;
                    }
                    case 3: {
                        System.out.print(sec.readDouble(idt.name, 0.0));
                        break;
                    }
                    case 7: {
                        System.out.print("<INI>");
                        final BufferIni child = sec.readIni(idt.name);
                        printIni(child, String.valueOf(ident) + ident);
                        break;
                    }
                    case 2: {
                        System.out.print(sec.readInteger(idt.name, 0));
                        break;
                    }
                    case 4: {
                        System.out.print(sec.readLong(idt.name, 0L));
                        break;
                    }
                    case 6: {
                        System.out.print("stream");
                        try {
                            final Stream stream = (Stream)new MemStream();
                            sec.readStream(idt.name, stream);
                            System.out.println(stream.getSize());
                        }
                        catch (final Exception ex) {
                            ex.printStackTrace();
                        }
                        break;
                    }
                    case 5: {
                        System.out.print(sec.readString(idt.name, ""));
                        break;
                    }
                }
                System.out.println();
            }
            System.out.println();
        }
    }
}
